iOS高德地图SDK(3D) V11.2.0001

Instance Methods | Properties | List of all members
MARouteOverlay Class Reference

`#import <MARouteOverlay.h>`

Inheritance diagram for MARouteOverlay:

## Instance Methods
(instancetype) | - initWithMapSecne:params:select:data:passedColors:
(void) | - setCar2DWithIndex:position:
(void) | - setCar3DWithIndex:position:
(void) | - addRouteName
(void) | - removeRouteName
(void) | - setLineWidthScale:
(void) | - setLine2DWithLineWidth:borderWidth:
(void) | - setShowArrow:
(void) | - setArrow3DTexture:
(void) | - setRouteItemParam:
(void) | - setHighlightType:
(void) | - setHighlightParam:
(void) | - setSelectStatus:
(void) | - setShowNaviRouteNameCountMap:
(void) | - setArrowFlow:
Instance Methods inherited from MABaseEngineOverlay
(void) | - removeOverlay
| 移除Overlay Remove Overlay More...

## Properties
NSUInteger | mapScene
NSArray< MARouteOverlayParam * > * | params
BOOL | select
MAMapRouteOverlayData * | data
NSArray< NSNumber * > * | passedColors

## Method Documentation

## ◆ addRouteName

- (void) addRouteName |  |  |

## ◆ initWithMapSecne:params:select:data:passedColors:

- (instancetype) initWithMapSecne: |  | (NSUInteger) | mapScene
params: |  | (NSArray< MARouteOverlayParam * > *) | params
select: |  | (BOOL) | select
data: |  | (MAMapRouteOverlayData *) | data
passedColors: |  | (NSArray< NSNumber * > *) | passedColors

## ◆ removeRouteName

- (void) removeRouteName |  |  |

## ◆ setArrow3DTexture:

- (void) setArrow3DTexture: |  | (UIImage *) | image |

## ◆ setArrowFlow:

- (void) setArrowFlow: |  | (BOOL) | bFlow |

## ◆ setCar2DWithIndex:position:

- (void) setCar2DWithIndex: |  | (uint32_t) | index
position: |  | (float) | postion

## ◆ setCar3DWithIndex:position:

- (void) setCar3DWithIndex: |  | (uint32_t) | index
position: |  | (float) | postion

## ◆ setHighlightParam:

- (void) setHighlightParam: |  | (MARouteOverlayHighLightParam *) | highlightParam |

## ◆ setHighlightType:

- (void) setHighlightType: |  | (MAMapRouteHighLightType) | type |

## ◆ setLine2DWithLineWidth:borderWidth:

- (void) setLine2DWithLineWidth: |  | (int32_t) | lineWidth
borderWidth: |  | (int32_t) | borderWidth

## ◆ setLineWidthScale:

- (void) setLineWidthScale: |  | (float) | scale |

## ◆ setRouteItemParam:

- (void) setRouteItemParam: |  | (MARouteOverlayParam *) | routeParam |

## ◆ setSelectStatus:

- (void) setSelectStatus: |  | (BOOL) | status |

## ◆ setShowArrow:

- (void) setShowArrow: |  | (BOOL) | bShow |

## ◆ setShowNaviRouteNameCountMap:

- (void) setShowNaviRouteNameCountMap: |  | (NSDictionary< NSNumber *, NSNumber * > *) | countMap |

## Property Documentation

## ◆ data

- (MAMapRouteOverlayData*) data
| read nonatomic strong

## ◆ mapScene

- (NSUInteger) mapScene
| read nonatomic assign

## ◆ params

- (NSArray<MARouteOverlayParam *>*) params
| read nonatomic copy

## ◆ passedColors

- (NSArray<NSNumber *>*) passedColors
| read nonatomic copy

## ◆ select

- (BOOL) select
| read nonatomic assign

The documentation for this class was generated from the following file:

- MARouteOverlay.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。